-- $Name:Constellation$
-- $Version:0.3.3$
-- $Name(ru):Созвездие$	-- Game name in russian
-- $Author: Irreman$
-- Author of art @dn from juick.com
--~ Adapted for english by j-maks (jmaksima_at_gmail_dot_com)
instead_version "1.8.0"

--require "dbg";
require "para"
require "dash"
require "quotes"
require "keyboard"
require "xact"
require "hotkeys"

gam_lang = {
	ru = 'Язык',
	en = 'Language',
}

gam_title = {
	ru = 'Созвездие',
	en = 'Constellation',
}

if not LANG or not gam_lang[LANG] then
	LANG = "en"
end

gam_lang = gam_lang[LANG]
gam_title = gam_title[LANG]

main = room {
	pic = 'gfx/constell_logo_0.png';
	nam = gam_title;
	forcedsc = true;
	dsc = txtc (
		'^^'..txtb(gam_lang)..'^^'..
		img('gfx/gb.png')..' '..[[{en|English}^]]..
		img('gfx/ru.png')..' '..[[{ru|Русский}^]]);

	 obj = {
	       xact("en", code [[ gamefile('eng-main.lua', true) ]]);
	       xact("ru", code [[ gamefile('rus-main.lua', true) ]]);
     }
}
